export declare type HostResolverConfig = {
    hostnames: Array<string>;
    resolver: (hostname: string) => string;
    timeout?: number;
};
export declare function configHostResolver(conf: HostResolverConfig): void;
export declare function resolveHostname(hostname: string): Promise<string>;
export declare function resolveHostnameSync(hostname: string): string;
export declare function resolveAllHostnames(): Promise<string[][]>;
export declare function getHostResolverRules(): string;
